<?xml version="1.0" encoding="utf-8" ?>
<select>
  <selectstr>
SELECT formulaid
	,formulakind
	,formulatype
	,sortcode
	,if_mtrl
	,formula
	,usetype
	,if_packtype0
	,if_packtype1
	,if_packtype2
	,default_mtrlid
	,createtime
	,createby
	,useformula
	,gydscrp
	,mtrltype
FROM u_mattress_formula
  </selectstr>
  <where>
  </where>
  <displayfields>
    <field field="row" compute="getrow()">序</field>
    <field field="formulatype" datatype="checkbox">类别</field>
    <field field="sortcode">类别序号</field>
    <field field="formulakind" mapper="">公式名</field>
    <field field="if_mtrl" datatype="checkbox">按物料</field>
    <field field="usetype" datatype="checkbox">公式应用分类</field>
    <field field="formula">金额公式</field>
    <field field="useformula">用量公式</field>
    <field field="if_packtype0" datatype="checkbox">压包</field>
    <field field="if_packtype1" datatype="checkbox">卷包</field>
    <field field="if_packtype2" datatype="checkbox">国内</field>
    <field field="default_mtrlid">默认物料</field>
    <field field="mtrltype">物料类别</field>
    <field field="createby">等记人</field>
    <field field="createtime" datatype="datetime">登记时间</field>
    <field field="gydscrp">工艺说明</field>
  </displayfields>
</select>
